# Copytrading and social trading

Copytrading and social trading apps usually require:

* finding high-signal traders to show to your users
* tracking live positioning and order updates of interesting accounts
* monitoring the fills and order updates of your copytraders

#### Finding high-signal traders

One of the potential ways to find high-signal traders on Hyperliquid is to use [perpSnapshot](/readme/rest-api/market-data/perpsnapshot.md)endpoint to find large positions on any market. These could be presented to your users later.

#### Tracking live positioning and orders

After your users have found and followed a set of initial traders, you would be able to get positioning updates from all these accounts by calling [batchClearinghouseStates](/readme/rest-api/user-position-data/batchclearinghousestates.md). You can also subscribe to multiple users' orders through [userOrderUpdates](/readme/websocket/userorderupdates.md)websocket.

#### Monitoring the fills and order updates of your users

You can monitor all fills of your users by subscribing to [builderFills](/readme/rest-api/historical-data/builderfills.md)websocket. Alternatively, you can query [builderFillsByTime](/readme/rest-api/historical-data/builderfillsbytime.md)API to get all fills done through your builder code.\
\
Subscribing to [builderOrderUpdates](/readme/websocket/builderorderupdates.md)will allow you to monitor your users' addresses by tracking all orders of users utilizing your builder code.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/builder-guides/copytrading-and-social-trading.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
